From 93219ebc5af72a536bfcced45e880debe9a585df Mon Sep 17 00:00:00 2001
From: travankor <travankor@tuta.io>
Date: Sun, 21 Jul 2019 17:24:53 -0700
Subject: [PATCH] vim: update to 8.1.1729, gvim: switch to gtk+3.

---
 srcpkgs/vim/template | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

diff --git a/srcpkgs/vim/template b/srcpkgs/vim/template
index 7ae6a118b83..b6cf6d194d5 100644
--- a/srcpkgs/vim/template
+++ b/srcpkgs/vim/template
@@ -1,9 +1,9 @@
 # Template file for 'vim'
 pkgname=vim
-version=8.1.1635
+version=8.1.1729
 revision=1
 hostmakedepends="glib-devel pkg-config"
-makedepends="acl-devel gtk+-devel libXt-devel lua-devel ncurses-devel
+makedepends="acl-devel gtk+3-devel libXt-devel lua-devel ncurses-devel
  perl python-devel python3-devel ruby-devel"
 depends="vim-common>=${version}"
 short_desc="Vim editor (vi clone)"
@@ -11,7 +11,7 @@ maintainer="Juan RP <xtraeme@voidlinux.org>"
 license="Vim"
 homepage="https://www.vim.org"
 distfiles="https://github.com/vim/vim/archive/v${version}.tar.gz"
-checksum=481ce93c656a4677e2e2a883c80375501ff0f629df9d17c008a9650c776fffcf
+checksum=e4036d086801b3294f5228553489e2b3064449d2278d0ba8da4798ca8c182e64
 
 subpackages="xxd vim-common vim-x11 gvim"
 # XXX vim-huge cannot be cross compiled for now.
@@ -59,7 +59,7 @@ do_configure() {
 
 	# GTK+ version.
 	cd $wrksrc/gvim
-	./configure ${configure_args} ${args} ${nohuge_args} --enable-gui=gtk2 --with-x --with-vim-name=gvim
+	./configure ${configure_args} ${args} ${nohuge_args} --enable-gui=gtk3 --with-x --with-vim-name=gvim
 
 	# Huge versions
 	if [ -z "$CROSS_BUILD" ]; then
